@echo off

IF [%~1]==[--version] GOTO Version

SET "BASEDIR=%~dp0"
SET "CATALINA_HOME=%BASEDIR%\server\apache-tomcat-11.0.12"
SET "EXECUTABLE=%BASEDIR%server\apache-tomcat-11.0.12\bin\startup.bat"

echo "starting OpenBPM Engine 2025.0.0-rc on Apache Tomcat 11.0.12"

start %EXECUTABLE%

ping -n 5 localhost > NULL
start http://localhost:8080/openbpm-engine-welcome/index.html

GOTO Done

:Version
ECHO OpenBPM Engine: 2025.0.0-rc (Tomcat 11.0.12)

:Done
